Bug 1314295 - CVE-2016-1531 exim: Local privilege escalation for set-uid root exim when using perl_startup [epel-all]
CVE-2016-1531 exim: Local privilege escalation for set-uid root exim when usi...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: exim (Show other bugs)
el6
All Linux
high Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2016-1531
  Show dependency treegraph
 
Reported: 2016-03-03 05:55 EST by Adam Mariš
Modified: 2016-04-13 02:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: exim-4.84.2-1.el7 exim-4.84.2-1.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 02:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-03 05:55:12 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2016-03-03 05:55:18 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1314293,1314295

# Description of your update
notes=Security fix for CVE-2016-1531

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Jaroslav Škarvada 2016-03-03 09:14:17 EST
Regarding EPEL-6, I am rebasing there to the latest upstream supported version (exim-4.84.2), because the last security patch isn't straightforward to backport, and it isn't worth to spent time on it.
Comment 3 Fedora Update System 2016-03-03 10:37:39 EST
exim-4.84.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-60ae263220
Comment 4 Fedora Update System 2016-03-03 15:52:42 EST
exim-4.84.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-60ae263220
Comment 5 Fedora Update System 2016-03-19 17:26:47 EDT
exim-4.84.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-03-24 13:16:13 EDT
exim-4.84.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-292f24b5c5
Comment 7 Fedora Update System 2016-03-26 10:17:42 EDT
exim-4.84.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-292f24b5c5
Comment 8 Fedora Update System 2016-04-13 02:25:01 EDT
exim-4.84.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.